Skip to main content
GET
/
indices
/
quote
Last Quote
curl --request GET \
  --url https://api.tradewatch.io/indices/quote \
  --header 'api-key: <api-key>'
import requests

url = "https://api.tradewatch.io/indices/quote"

headers = {"api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'api-key': '<api-key>'}};

fetch('https://api.tradewatch.io/indices/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "symbol": "<string>",
  "ask": 1.23456,
  "bid": 1.23456,
  "mid": 1.23456,
  "timestamp": 1704882030
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

api-key
string
header
required

Authentication via API key header

Query Parameters

symbol
string
required

The symbol to get the quote for.

precision
integer
default:5

The decimal precision of the result.

Response

Successful Response

symbol
string
required

Symbol name

ask
number
required

The ask price.

Example:

1.23456

bid
number
required

The bid price.

Example:

1.23456

mid
number
required

The mid price.

Example:

1.23456

timestamp
integer
required
Example:

1704882030